$:.unshift(File.join(File.dirname(__FILE__), 'lib'))

require 'essential/version'

Gem::Specification.new do |s|
  s.name        = 'essential'
  s.version     = Essential::VERSION
  s.date        = '2016-04-06'
  s.summary     = 'Essential Ruby Library'
  s.description = 'A GEM for interacting with the Essential.to service.'
  s.authors     = ['Brendan Ribera']
  s.email       = 'brendan@madronavl.com'
  s.homepage    = 'http://github.com/madrona-labs/essential-ruby'
  s.license     = 'MIT'

  s.add_dependency('rest-client', '~> 1.8')

  s.add_development_dependency('rake', '~> 10.5')
  s.add_development_dependency('minitest', '~> 5.8')

  s.files = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- test/*`.split("\n")
  # s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }

  s.require_paths = ['lib']
end
